
#include "stm32f10x.h"
#include "core_cm3.h"
#include "i2c_stm32f030f4.h"


// 
// Snippets examples

void I2C1_M_GPIO_CFG(void)
{
//  /* Enable the peripheral clock of GPIOB */
//  RCC->AHBENR |= RCC_AHBENR_GPIOAEN;
//	RCC->CFGR3 	|= RCC_CFGR3_I2C1SW ;// 48MHz PLL*HSI as clock source for I2C1
//	
//  GPIOA->AFR[1] |= ((4<<(1*4)) | (4 << (2*4))) ;  	// set AF4 func for PA9, PA10

//	GPIOA->OTYPER 	|= 	GPIO_OTYPER_OT_9;							// PA9 open drain output 
//	GPIOA->OTYPER 	|= 	GPIO_OTYPER_OT_10;						// PA10 open drain output 
//	
//	GPIOA->MODER  	&= 	~GPIO_MODER_MODER9;		// GP output PA9 reset
//	GPIOA->MODER  	|= 	GPIO_MODER_MODER9_1;	// GP output PA9 alt fun
//	GPIOA->MODER  	&= 	~GPIO_MODER_MODER10;	// GP output PA10 reset
//	GPIOA->MODER  	|= 	GPIO_MODER_MODER10_1;	// GP output PA10 alt fun

}

void I2C1_M_DISABLE(void)
{
	I2C1->CR1 = 0x00 ;
}

void I2C1_M_STOP(void)
{
//	I2C1->CR2 |= I2C_CR2_STOP;
}

void I2C1_M_START(void)
{
//	I2C1->CR2 |= I2C_CR2_START;
}
void I2C1_MT_CFG(uint32_t RECEIVER_ADDRESS, uint32_t BYTEStoTRANSMIT)
{
//  /* Enable the peripheral clock I2C1 */
//  RCC->APB1ENR |= RCC_APB1ENR_I2C1EN;

//  /* Configure I2C1, master */
//  /* (1) Timing register value is computed with the AN4235 xls file,
//   fast Mode @400kHz with I2CCLK = 48MHz, rise time = 140ns, fall time = 40ns */
//  /* (2) Periph enable, receive interrupt enable */
//  /* (3) Slave address = 0x5A, write transfer, 1 byte to transmit, autoend */
//  I2C1->TIMINGR = (uint32_t)0x00B01A4B; /* (1) */
//  I2C1->CR1 = I2C_CR1_PE; /* (2) */
//  I2C1->CR2 =  I2C_CR2_AUTOEND | (BYTEStoTRANSMIT<<16) | (RECEIVER_ADDRESS<<1); /* (3) */

}

void I2C1_MT_CFG_noSTOP(uint32_t RECEIVER_ADDRESS, uint32_t BYTEStoTRANSMIT)
{
//  /* Enable the peripheral clock I2C1 */
//  RCC->APB1ENR |= RCC_APB1ENR_I2C1EN;

//  /* Configure I2C1, master */
//  /* (1) Timing register value is computed with the AN4235 xls file,
//   fast Mode @400kHz with I2CCLK = 48MHz, rise time = 140ns, fall time = 40ns */
//  /* (2) Periph enable, receive interrupt enable */
//  /* (3) Slave address = 0x5A, write transfer, 1 byte to transmit, autoend */
//  I2C1->TIMINGR = (uint32_t)0x00B01A4B; /* (1) */
//  I2C1->CR1 = I2C_CR1_PE; /* (2) */
//  I2C1->CR2 = (BYTEStoTRANSMIT<<16) | (RECEIVER_ADDRESS<<1); /* (3) */

}

void I2C1_MT_1stbyte (uint32_t data)
{
//	/* start I2C master transmission sequence */
//  if((I2C1->ISR & I2C_ISR_TXE) == (I2C_ISR_TXE)) /* Check Tx empty */
//  {
//    I2C1->TXDR = data; /* Byte to send */
//    I2C1->CR2 |= I2C_CR2_START; /* Go */
//  }	
//	
}

void I2C1_MT_nextbyte (uint32_t data)
{
//	/* continue I2C master transmission sequence */
//  while((I2C1->ISR & I2C_ISR_TXE) != (I2C_ISR_TXE)){;}; /* Check Tx empty */
//    I2C1->TXDR = data; /* Byte to send */
////    I2C1->CR2 |= I2C_CR2_START; /* Go */
}


void I2C1_MR_CFG(uint32_t TRANSMITTER_ADDRESS, uint32_t BYTEStoRECEIVE)
{
//  /* Enable the peripheral clock I2C1 */
//  RCC->APB1ENR |= RCC_APB1ENR_I2C1EN;

//  /* Configure I2C1, master */
//  /* (1) Timing register value is computed with the AN4235 xls file,
//   fast Mode @400kHz with I2CCLK = 48MHz, rise time = 140ns, fall time = 40ns */
//  /* (2) Periph enable, receive interrupt enable */
//  /* (3) Slave address = 0x5A, write transfer, 1 byte to transmit, autoend */
//  I2C1->TIMINGR = (uint32_t)0x00B01A4B; /* (1) */
//  I2C1->CR1 = I2C_CR1_PE | I2C_CR1_RXIE; /* (2) */
//  I2C1->CR2 =  I2C_CR2_AUTOEND | (BYTEStoRECEIVE<<16) | I2C_CR2_RD_WRN | (TRANSMITTER_ADDRESS<<1); /* (3) */
}

uint32_t I2C1_MR_RECEIVE(void)
{
	uint32_t data ;
//	
//	while((I2C1->ISR & I2C_ISR_RXNE) != I2C_ISR_RXNE){;};
//  /* Read receive register, will clear RXNE flag */
//  data = I2C1->RXDR ;
	return data ;
}


