
// S6D0129 pins switch macros

#define S6D0129_nCS_On  	do{GPIOA->BSRR =GPIO_BSRR_BS12;}while(0)
#define S6D0129_nCS_Off  	do{GPIOA->BSRR =GPIO_BSRR_BR12;}while(0)
#define S6D0129_RS_On  		do{GPIOA->BSRR =GPIO_BSRR_BS11;}while(0)
#define S6D0129_RS_Off  	do{GPIOA->BSRR =GPIO_BSRR_BR11;}while(0)
#define S6D0129_nWR_On  	do{GPIOA->BSRR =GPIO_BSRR_BS10;}while(0)
#define S6D0129_nWR_Off  	do{GPIOA->BSRR =GPIO_BSRR_BR10;}while(0)
#define S6D0129_nRD_On  	do{GPIOA->BSRR =GPIO_BSRR_BS9;}while(0)
#define S6D0129_nRD_Off  	do{GPIOA->BSRR =GPIO_BSRR_BR9;}while(0)
#define S6D0129_nLED_On  	do{GPIOA->BSRR =GPIO_BSRR_BS8;}while(0)
#define S6D0129_nLED_Off  do{GPIOA->BSRR =GPIO_BSRR_BR8;}while(0)
#define S6D0129_IM3_On  	do{GPIOB->BSRR =GPIO_BSRR_BS15;}while(0)
#define S6D0129_IM3_Off  	do{GPIOB->BSRR =GPIO_BSRR_BR15;}while(0)
#define S6D0129_nRST_On  	do{GPIOA->BSRR =GPIO_BSRR_BS6;}while(0)
#define S6D0129_nRST_Off  do{GPIOA->BSRR =GPIO_BSRR_BR6;}while(0)

#define S6D0129_DB9_On  	do{GPIOB->BSRR =GPIO_BSRR_BS14;}while(0)
#define S6D0129_DB9_Off  	do{GPIOB->BSRR =GPIO_BSRR_BR14;}while(0)
#define S6D0129_DB10_On  	do{GPIOB->BSRR =GPIO_BSRR_BS13;}while(0)
#define S6D0129_DB10_Off  do{GPIOB->BSRR =GPIO_BSRR_BR13;}while(0)
#define S6D0129_DB11_On  	do{GPIOB->BSRR =GPIO_BSRR_BS12;}while(0)
#define S6D0129_DB11_Off  do{GPIOB->BSRR =GPIO_BSRR_BR12;}while(0)
#define S6D0129_DB12_On  	do{GPIOB->BSRR =GPIO_BSRR_BS11;}while(0)
#define S6D0129_DB12_Off  do{GPIOB->BSRR =GPIO_BSRR_BR11;}while(0)
#define S6D0129_DB13_On  	do{GPIOB->BSRR =GPIO_BSRR_BS10;}while(0)
#define S6D0129_DB13_Off  do{GPIOB->BSRR =GPIO_BSRR_BR10;}while(0)
#define S6D0129_DB14_On  	do{GPIOB->BSRR =GPIO_BSRR_BS2;}while(0)
#define S6D0129_DB14_Off  do{GPIOB->BSRR =GPIO_BSRR_BR2;}while(0)
#define S6D0129_DB15_On  	do{GPIOB->BSRR =GPIO_BSRR_BS1;}while(0)
#define S6D0129_DB15_Off  do{GPIOB->BSRR =GPIO_BSRR_BR1;}while(0)
#define S6D0129_DB16_On  	do{GPIOB->BSRR =GPIO_BSRR_BS0;}while(0)
#define S6D0129_DB16_Off  do{GPIOB->BSRR =GPIO_BSRR_BR0;}while(0)
#define S6D0129_DB17_On  	do{GPIOA->BSRR =GPIO_BSRR_BS7;}while(0)
#define S6D0129_DB17_Off  do{GPIOA->BSRR =GPIO_BSRR_BR7;}while(0)

#define LED_Off  do{GPIOA->BSRR =GPIO_BSRR_BR4;GPIOA->BSRR =GPIO_BSRR_BR5;}while(0)
#define LED_GOn  do{GPIOA->BSRR =GPIO_BSRR_BS4;GPIOA->BSRR =GPIO_BSRR_BR5;}while(0)
#define LED_ROn  do{GPIOA->BSRR =GPIO_BSRR_BR4;GPIOA->BSRR =GPIO_BSRR_BS5;}while(0)
#define LED_Tgl  do{GPIOA->ODR ^=(GPIO_ODR_ODR4 | GPIO_ODR_ODR5);}while(0)


//
