// delays for stm32f100, 103 utilizing SysTick counter

#include "main.h"


#define SysTick_Delay_ms (F_HCLK_MHz*1000) // systick period 1ms used for Delay_ms function
#define SysTick_Delay_us (F_HCLK_MHz) // systick period 1us used for Delay_us function
#define SysTick_Delay_10us (10*F_HCLK_MHz) // systick period 10us used for Delay_10us function
#define SysTick_Delay_100us (100*F_HCLK_MHz) // systick period 100us used for Delay_100us function

static __IO uint32_t TimingDelay;  

void InitSysTick(void);
//

void Delay_ms(uint32_t nTime);								// utilize SysTick hardware
//

void Delay_us(uint32_t nTime);								// utilize SysTick hardware
//

void Delay_10us(uint32_t nTime);								// utilize SysTick hardware
//

void Delay_100us(uint32_t nTime);								// utilize SysTick hardware
//





